/*
 * #%L
 * Pollen :: Vote Counting
 * 
 * $Id: ServiceExport.java 3122 2012-01-30 20:43:30Z tchemit $
 * $HeadURL: http://svn.chorem.org/svn/pollen/tags/pollen-1.3.1.1/pollen-votecounting/src/main/java/org/chorem/pollen/votecounting/services/ServiceExport.java $
 * %%
 * Copyright (C) 2009 - 2012 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */
package org.chorem.pollen.votecounting.services;

import java.io.File;

import org.chorem.pollen.votecounting.dto.PollExportDTO;

/**
 * Interface du service d'export.
 *
 * @author boukhary
 * @version $Id: ServiceExport.java 3122 2012-01-30 20:43:30Z tchemit $
 */
public interface ServiceExport {

    /**
     * Export d'un sondage et de ses résultats au format XML. Le DTO contient le
     * sondage et ses résultats s'ils existent.
     *
     * @param export : DTO à exporter.
     * @return le chemin du fichier exporté.
     */
    public String executeExport(PollExportDTO export);

    /**
     * Export d'un sondage et de ses résultats au format XML. Le DTO contient le
     * sondage et ses résultats s'ils existent.
     *
     * @param export : DTO à exporter.
     * @return le fichier exporté.
     */
    public File executeFileExport(PollExportDTO export);

    /**
     * Import d'un sondage et de ses résultats à partir d'un fichier XML.
     *
     * @param filePath chemin du fichier à importer.
     * @return le sondage importé
     */
    public PollExportDTO executeImport(String filePath);
}
